<template>
  <el-container>
    <div class="editor-total">
      <div id="editor" v-html="xmlContent"></div>
      <button @click="saveXml">保 存</button>
    </div>
  </el-container>
</template>
  
<script>
import { getGroupMapXML } from "@/api/integration/groupMapAttrXML.js";

export default {
  data() {
    return {
      xmlContent: "", // 从后端获取的XML内容
    };
  },
  mounted() {

  },
  created() {
    this.onLoad();
  },
  methods: {
    onLoad() {
      let xmlName = "PDM";
      getGroupMapXML({ xmlName: xmlName }).then((res) => {
        this.xmlContent = res.data.data;
        console.log(res.data.data);
      });
    },

  },
};
</script>
<style>
.editor-total {
  width: 100%;
  height: 100%;
}
</style>
